CoffeePi Coffee machine control for Raspberry Pi

- Main Page
- Data Structures
- Files

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - s -

- shift_data() : spi.cpp , spi.h
- SHIFT_G : spi.h
- shift_init() : spi.cpp , spi.h
- SHIFT_RCK : spi.h
- SHIFT_SCLR : spi.h
- SIG : timer.h
- SigBrewOff : hal.h
- SigBrewOn : hal.h
- SigInt0Psh : hal.h
- SigInt0Rls : hal.h
- SigInt0RlsLong : hal.h
- SigInt1Psh : hal.h
- SigInt1Rls : hal.h
- SigInt1RlsLong : hal.h
- SigPressCls : hal.h
- SigPressOpn : hal.h
- SigProxCvrd : hal.h
- SigProxOpn : hal.h
- sigValue : coffee.cpp
- SigValueEmpty() : coffee.cpp , coffee.h
- SPI_CHANNEL : global.h
- spi_init() : spi.cpp , spi.h
- spi_readwrite() : spi.cpp , spi.h
- SPI_SPEED : global.h
- SQL_DATABASE : global.h
- sqlClose() : database.h , database.cpp
- sqlExecute() : database.cpp , database.h
- sqlExecute2() : database.cpp
- sqlGetConf() : database.cpp , database.h
- sqlOpen() : database.cpp , database.h
- sqlSetConf() : database.cpp , database.h
- sqlSetup() : database.cpp , database.h
- sqltest() : database.cpp , database.h
- state : coffee.cpp
- STATE_BREW : coffee.h
- STATE_BREWMANUAL : coffee.h
- STATE_CLEANING : coffee.h
- STATE_ERROR : coffee.h
- STATE_HEATING : coffee.h
- STATE_IDLE : coffee.h
- STATE_INITALHEATING : coffee.h
- STATE_OFF : coffee.h
- stopTimers() : timer.cpp , timer.h
- str_brewing : display.h
- str_bye : display.h
- str_cleaning : display.h
- str_error : display.h
- str_flow : display.h
- str_heating : display.h
- str_heatingready : display.h
- str_last : display.h
- str_ready : display.h
- string_sprintf() : database.cpp , database.h
- string_vsprintf() : database.cpp
- STRIPE_CMD_FADEOUT : stripe.h
- STRIPE_CMD_FADESTOP : stripe.h
- STRIPE_CMD_FADETO : stripe.h
- STRIPE_CMD_RESET : stripe.h
- STRIPE_CMD_SET : stripe.h
- STRIPE_CMD_SET2 : stripe.h
- STRIPE_CMD_SETB : stripe.h
- STRIPE_CMD_SETDIM : stripe.h
- STRIPE_CMD_SETG : stripe.h
- STRIPE_CMD_SETR : stripe.h
- STRIPE_CMD_SETW : stripe.h
- stripe_transient_t : stripe.h
- stripeCommand() : stripe.cpp , stripe.h
- stripeEffectDisable() : stripe.cpp , stripe.h
- stripeEffectHeating() : stripe.h , stripe.cpp
- stripeEffectPulse() : stripe.cpp , stripe.h
- stripeGetDim() : stripe.h , stripe.cpp
- stripeGetRGB() : stripe.h , stripe.cpp
- stripeGetWhite() : stripe.h , stripe.cpp
- stripeInit() : stripe.cpp , stripe.h
- stripeOff() : stripe.h , stripe.cpp
- stripeOn() : stripe.cpp , stripe.h
- stripeSetColor() : stripe.cpp , stripe.h
- stripeSetDim() : stripe.cpp , stripe.h
- stripeSetRGB() : stripe.cpp , stripe.h
- stripeSetTransient() : stripe.cpp , stripe.h
- stripeSetWhite() : stripe.cpp , stripe.h
- stripeThread() : stripe.cpp , stripe.h
- stripeTimer : stripe.cpp
- stripeTimerHandler() : stripe.cpp , stripe.h
- stripeUpdate() : stripe.h , stripe.cpp
- stripeUpdateDim() : stripe.h , stripe.cpp